# Generated from modular-scale-3.0.8.gem by gem2rpm -*- rpm-spec -*-
%global gem_name modular-scale

Name: rubygem-%{gem_name}
Version: 3.0.8
Release: 1%{?dist}
Summary: Modular scale calculator built into your Sass
License: MIT
URL: http://modularscale.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.6
BuildRequires: ruby
BuildArch: noarch

%description
A modular scale is a list of values that share the same relationship. These
values are often used to size type and create a sense of harmony in a design.
Proportions within
modular scales are all around us from the spacing of the joints on our fingers
to branches on
trees. These natural proportions have been used since the time of the ancient
Greeks in
architecture and design and can be a tremendously helpful tool to leverage for
web designers.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%license %{gem_instdir}/license.md
%{gem_instdir}/stylesheets
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/changelog.md
%doc %{gem_instdir}/readme.md

%changelog
* Tue Aug 24 2021 mockbuilder - 3.0.8-1
- Initial package
